Package org.eclipse.lemminx.services.extensions.codeaction

## Interface ICodeActionResolvesParticipant

All Known Implementing Classes:
  `AbstractGenerateGrammarAndAssociationResolveCodeActionParticipant`, `AbstractGenerateGrammarCodeActionResolver`, `GenerateDocTypeCodeActionResolver`, `GenerateDTDCodeActionResolver`, `GenerateRelaxNGSchemaCodeActionResolver`, `GenerateXMLModelWithDTDCodeActionResolver`, `GenerateXMLModelWithXSDCodeActionResolver`, `GenerateXSDCodeActionResolver`, `GenerateXSINoNamespaceSchemaCodeActionResolver`, `MinifyCodeActionResolver`, `required_element_missingCodeActionResolver`, `required_elements_missing_expectedCodeActionResolver`

    public interface ICodeActionResolvesParticipant

The code action resolver participant API.

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.lsp4j.CodeAction` `resolveCodeAction​(ICodeActionResolverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Returns the resolved codeAction coming from the unresolved codeAction of the given `request`.

### Method Detail

#### resolveCodeAction

    org.eclipse.lsp4j.CodeAction resolveCodeAction​(ICodeActionResolverRequest request,
                                                   org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Returns the resolved codeAction coming from the unresolved codeAction of the given `request`.

Parameters:
  `request` - the resolve code action request.
  `cancelChecker` - the cancel checker.
Returns:
  the resolved codeAction coming from the unresolved codeAction of the given `request`.